diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 2fe902eed2..53b178da95 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -6757,11 +6757,11 @@ local0.*    /var/log/postgresql
          For example, if syncing the data directory takes 25 seconds and
          thereafter resetting unlogged relations takes 8 seconds, and if this
          setting has the default value of 10 seconds, then a messages will be
          logged for syncing the data directory after it has been in progress
          for 10 seconds and again after it has been in progress for 20 seconds,
-         but nothing will be logged for resetting unlogged operations.
+         but nothing will be logged for resetting unlogged relations.
         </para>
        </listitem>
      </varlistentry>
 
      </variablelist>
diff --git a/doc/src/sgml/release-15.sgml b/doc/src/sgml/release-15.sgml
index 9b752e26f2..9cc6dc0d9e 100644
--- a/doc/src/sgml/release-15.sgml
+++ b/doc/src/sgml/release-15.sgml
@@ -1282,11 +1282,11 @@ Author: Fujii Masao <fujii@postgresql.org>
       <listitem>
        <para>
         Allow <link
         linkend="monitoring-stats-funcs-table"><function>pg_stat_reset_single_table_counters()</function></link>
         to reset the counters of relations shared across all databases
-        (B Sadhu, Prasad Patro)
+        (Sadhuprasad Patro)
        </para>
       </listitem>
 
 <!--
 Author: Fujii Masao <fujii@postgresql.org>
@@ -1793,11 +1793,11 @@ Author: Tom Lane <tgl@sss.pgh.pa.us>
 2021-11-02 [f3d4019da] Ensure consistent logical replication of datetime and fl
 -->
 
       <listitem>
        <para>
-        Adjust subscriber server variables to match the publisher so
+        Adjust subscriber server variables to match the publisher so that
         datetime and float8 values are interpreted consistently (Japin Li)
        </para>
 
        <para>
         Some publishers might be relying on inconsistent behavior.
@@ -1918,11 +1918,11 @@ Author: Robert Haas <rhaas@postgresql.org>
 
      <listitem>
       <para>
        Allow <link linkend="sql-createdatabase"><command>CREATE
        DATABASE</command></link> to set the database <acronym>OID</acronym>
-       (Shruthi KC, Antonin Houska)
+       (Shruthi Gowda, Antonin Houska)
       </para>
      </listitem>
 
 <!--
 Author: Thomas Munro <tmunro@postgresql.org>
@@ -2446,11 +2446,11 @@ Author: Thomas Munro <tmunro@postgresql.org>
         Add a pager option for the <command>\watch</command>
         command (Pavel Stehule, Thomas Munro)
        </para>
 
        <para>
-        This is only supported on Unix, and is controlled by the
+        This is only supported on Unix and is controlled by the
         <envar>PSQL_WATCH_PAGER</envar> environment variable.
        </para>
       </listitem>
 
 <!--
@@ -2926,11 +2926,11 @@ Author: Robert Haas <rhaas@postgresql.org>
 
       <listitem>
        <para>
         Make <application>pg_upgrade</application> preserve tablespace
         and database OIDs, as well as relation relfilenode numbers
-        (Shruthi KC, Antonin Houska)
+        (Shruthi Gowda, Antonin Houska)
        </para>
       </listitem>
 
 <!--
 Author: Michael Paquier <michael@paquier.xyz>
